org.richfaces.component.attribute

## Interface AjaxActivatorProps

- All Known Subinterfaces:
    AjaxProps
  All Known Implementing Classes:
    AbstractAjaxFunction, AbstractCommandButton, AbstractCommandLink, AbstractDataScroller, AbstractDataTable, AbstractDropTarget, AbstractExtendedDataTable, AbstractFileUpload, AbstractMenuItem, AbstractPanelMenuGroup, AbstractPanelMenuItem, AbstractPoll, AbstractProgressBar, AbstractTab, AbstractTooltip, AbstractTree, AjaxBehavior, BasicActionComponent, ClientValidatorImpl, UICommandButton, UICommandLink, UIDataScroller, UIDataTable, UIDropTarget, UIExtendedDataTable, UIFileUpload, UIFunction, UIMenuItem, UIPanelMenuGroup, UIPanelMenuItem, UIPoll, UIProgressBar, UITab, UITooltip, UITree

      public interface AjaxActivatorProps

  Interface defining the methods for ajax-props.xml
  Author:
    Lukas Fryc

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()` Serialized (on default with JSON) data passed to the client by a developer on an AJAX request.
    `String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
    `String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
    `Object` | `getRender()` IDs of components that will participate in the "render" portion of the Request Processing Lifecycle.
    `boolean` | `isLimitRender()` If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
    `boolean` | `isResetValues()` If true, indicate that this particular Ajax transaction is a value reset transaction.

- - ### Method Detail

    - #### getRender

          Object getRender()

      IDs of components that will participate in the "render" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of Id's, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords

    - #### isLimitRender

          boolean isLimitRender()

      If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels

    - #### getData

          Object getData()

      Serialized (on default with JSON) data passed to the client by a developer on an AJAX request. It's accessible via "event.data" syntax. Both primitive types and complex types such as arrays and collections can be serialized and used with data

    - #### getOnbeforedomupdate

          String getOnbeforedomupdate()

      The client-side script method to be called after the ajax response comes back, but before the DOM is updated

    - #### getOncomplete

          String getOncomplete()

      The client-side script method to be called after the DOM is updated

    - #### isResetValues

          boolean isResetValues()

      If true, indicate that this particular Ajax transaction is a value reset transaction. This will cause resetValue() to be called on any EditableValueHolder instances encountered as a result of this ajax transaction. If not specified, or the value is false, no such indication is made.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.